POST registrationdocuments

POST
/registrationdocuments

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Request Body

application/json
  1. body

Defines the DTO for creating a registration document.

nameDutch*string

The Dutch name/title of the document.

Length0 <= length <= 120
nameEnglish*string

The English name/title of the document.

Length0 <= length <= 120
urlDutch*string

The destination URL for the Dutch version of the document.

Length0 <= length <= 2000
urlEnglish*string

The destination URL for the English version of the document.

Length0 <= length <= 2000
sortOrder?integer

The order in which this document should be displayed.

Formatint32

Response Body

Created

application/json
  1. response

Represents the response DTO for a registration document.

id*integer

The unique identifier of a RegistrationDocument, assigned incrementally.

Formatint32
nameDutch*string

The Dutch name/title of the document.

nameEnglish*string

The English name/title of the document.

urlDutch*string

The destination URL for the Dutch version of the document.

urlEnglish*string

The destination URL for the English version of the document.

sortOrder*integer

The order in which this document should be displayed.

Formatint32
curl -X POST 'https://example.com/registrationdocuments' \  -H 'Content-Type: application/json' \  -d '{  "nameDutch": "string",  "nameEnglish": "string",  "urlDutch": "string",  "urlEnglish": "string"}'
{  "id": 0,  "nameDutch": "string",  "nameEnglish": "string",  "urlDutch": "string",  "urlEnglish": "string",  "sortOrder": 0}